0

Is D7 and Webform compatible with PHP 8.1? After upgrading to the most recent PHP, I'm hitting an error when loading any webforms with civicrm fields (Civi 5.68.0).

Deprecated function: strtolower(): Passing null to parameter #1 ($string) of type string is deprecated in wf_crm_get_relationship_types() (line 401 of /home/admin/domains/private_html/sites/all/modules/webform_civicrm/includes/utils.inc).

Saving the webform node also causes an "unexpected" error.

1 Answer 1

0

The D7 version is very old but if you submit a PR to update any deprecations one of the other maintainers or myself would gladly check & merge it.

FYI the message you posted is a deprecation notice, not an error, and shouldn't prevent the module from working.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.